using Microsoft.EntityFrameworkCore;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace bitforum.Models.Page
{
    [Table("Popup")]
    [Index(nameof(IsActive), Name = "IX_Popup_IsActive")]
    public class Popup
    {
        [Key]
        public int ID { get; set; }

        [Required]
        [DisplayName("제목")]
        [DataType(DataType.Text)]
        [MaxLength(255)]
        public string Subject { get; set; }

        [DisplayName("내용")]
        [DataType(DataType.Html)]
        public string? Content { get; set; } = null;

        [DisplayName("주소")]
        [DataType(DataType.Url)]
        [MaxLength(255)]
        public string? Link { get; set; } = null;

        [Display(Name = "사용 기간 - 시작")]
        [DataType(DataType.DateTime)]
        public DateTime? StartAt { get; set; } = null;

        [Display(Name = "사용 기간 - 종료")]
        [DataType(DataType.DateTime)]
        public DateTime? EndAt { get; set; } = null;

        [Required]
        [DisplayName("순서")]
        public int Order { get; set; } = 0;

        [Required]
        [DisplayName("사용 여부")]
        public bool IsActive { get; set; } = false;

        [DisplayName("조회 수")]
        public int Views { get; set; } = 0;

        [DisplayName("수정일시")]
        [DataType(DataType.DateTime)]
        public DateTime? UpdatedAt { get; set; } = null;

        [DisplayName("등록일시")]
        [DataType(DataType.DateTime)]
        public DateTime? CreatedAt { get; set; } = null;
    }
}
